curl --request POST \
--url https://api.engine.usesophic.com/accounts/{account_id}/deposits \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"amount": "100.00",
"payment_reference": "<string>",
"request_advance": false
}
'import requests
url = "https://api.engine.usesophic.com/accounts/{account_id}/deposits"
payload = {
"amount": "100.00",
"payment_reference": "<string>",
"request_advance": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({amount: '100.00', payment_reference: '<string>', request_advance: false})
};
fetch('https://api.engine.usesophic.com/accounts/{account_id}/deposits', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"account": "<string>",
"amount": "100.00",
"created_at": "2023-11-07T05:31:56Z",
"currency": "EUR",
"id": "<string>",
"modified_at": "2023-11-07T05:31:56Z",
"payment_reference": "202512161234",
"status": "open",
"was_advanced": true,
"advanced_at": "2026-07-14T09:32:00Z",
"completed_at": "2026-07-14T09:34:12Z"
}{
"code": "<string>",
"detail": "<string>",
"context": {},
"docs": "<string>",
"params": [
{
"code": "<string>",
"detail": "<string>",
"path": [
123
]
}
]
}Create a deposit
Create a deposit, funded by bank transfer. The deposit amount can be optionally advanced, to increase the account’s buying power before the deposit is funded.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
Positive deposit amount with up to two decimal places.
x > 0"100.00"
Supported account currency to credit.
EUR, USD, GBP Reference used to match the inbound payment; generated when omitted and unique per funding batch when provided.
Request that the deposit amount is credited in advance as unsettled cash, which will settle once the deposit is funded.
Response
Created
The ID of the parent account.
The amount of the deposit.
"100.00"
"50.12"
The currency of the deposit.
EUR, USD, GBP Unique resource identifier.
The reference used to identify the inbound payment.
"202512161234"
The status of the deposit.
open, completed Whether the deposit was advanced as unsettled cash.
The time the deposit was advanced as unsettled cash.
"2026-07-14T09:32:00Z"
The time the deposit was completed.
"2026-07-14T09:34:12Z"